Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.documentnavigation.destination
Class PDPageDestination

    java.lang.Object
      org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
          org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

Direct Known Subclasses:
  PDPageFitDestination, PDPageFitHeightDestination, PDPageFitRectangleDestination, PDPageFitWidthDestination, PDPageXYZDestination

public abstract class PDPageDestination
extends PDDestination

This represents a destination to a page, see subclasses for specific parameters.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Field Summary
`protected COSArray` | `array` Storage for the page destination.

Constructor Summary
`protected` | `PDPageDestination()` Constructor to create empty page destination.
`protected` | `PDPageDestination(COSArray arr)` Constructor to create empty page destination.

Method Summary
`COSArray` | `getCOSArray()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`PDPage` | `getPage()` This will get the page for this destination.
`int` | `getPageNumber()` This will get the page number for this destination.
`void` | `setPage(PDPage page)` Set the page for this destination.
`void` | `setPageNumber(int pageNumber)` Set the page number for this destination.

Methods inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
`create, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### array

    protected COSArray array

  Storage for the page destination.

Constructor Detail

### PDPageDestination

    protected PDPageDestination()

  Constructor to create empty page destination.

### PDPageDestination

    protected PDPageDestination(COSArray arr)

  Constructor to create empty page destination.

Parameters:
  `arr` - A page destination array.

Method Detail

### getPage

    public PDPage getPage()

  This will get the page for this destination. A page destination can either reference a page or a page number(when doing a remote destination to another PDF). If this object is referencing by page number then this method will return null and getPageNumber should be used.

  Returns:
    The page for this destination.

### setPage

    public void setPage(PDPage page)

  Set the page for this destination.

  Parameters:
    `page` - The page for the destination.

### getPageNumber

    public int getPageNumber()

  This will get the page number for this destination. A page destination can either reference a page or a page number(when doing a remote destination to another PDF). If this object is referencing by page number then this method will return that number, otherwise -1 will be returned.

  Returns:
    The page number for this destination.

### setPageNumber

    public void setPageNumber(int pageNumber)

  Set the page number for this destination.

  Parameters:
    `pageNumber` - The page for the destination.

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getCOSArray

    public COSArray getCOSArray()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD